Subject: Ticket Assigned - Bad Shopping Experience at Splash-Zahia City Centre
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 12 Apr 2021 10:32:48 +0000

Hi Wael amir,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Bad Shopping Experience at Splash-Zahia City Centre Dear Customer Care,

Greetings for the Day.

I would like to share my latest shopping experience at Centerpoint Splash , Al Zahia City Centre.

It’s been gifted to me a Jeans & a T-shirt from my colleague on occasion of my Birthday. Since it was wrong size I have visited Splash at Zahia City Centre to exchange the right size.

I did not had the invoice , since it was a gift. But the items were with original tag.

Cashier denied to exchange the size without the invoice. I have requested to meet the manager. After waiting for 30 minutes the manager has came and told me that without invoice we cannot exchange.

I was with my family and left the store with disappointment.

The items were purchased from the same store (Zahia) on 3rd of April and I have visited the store to exchange on 10th of April .

I was helpless and very much upset, I was not able to wear the item which was gifted .

It was the first time I have gone through such a bad experience in splash and for a moment I thought I will never shop again or refer splash brand to any of my family and friends.

But again I thought it is imperative to bring this experience into your kind attention.

Thank You.
 Regards,
Rahil Ahmed
+971527461608
+971562188501 (Shukran Registered Number)

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2389798